#!/usr/bin/expect
spawn /opt/ossec-hids-3.7.0/install.sh
expect -ex "(en/br/cn/de/el/es/fr/hu/it/jp/nl/pl/ru/sr/tr) \[en\]:\r"
send -- "\r"
expect -ex "  -- Press ENTER to continue or Ctrl-C to abort. --\n\r"
send -- "\r"
expect -ex "1- What kind of installation do you want (server, agent, local, hybrid or help)?\r"
send -- "{{ type }}\r"
expect -ex "- Choose where to install the OSSEC HIDS \[/var/ossec\]: \r"
send -- "\r"
{% if type == "server" %}
expect -ex "3.1- Do you want e-mail notification? (y/n) \[y\]: \r"
send -- "n\r"
{% elif type == "agent"%}
expect -ex "3.1- What's the IP Address or hostname of the OSSEC HIDS server?:\r"
send -- "{{ server_address }}\r"
{% endif %}
expect -ex "3.2- Do you want to run the integrity check daemon? (y/n) \[y\]: \r"
send -- "\r"
expect -ex "3.3- Do you want to run the rootkit detection engine? (y/n) \[y\]: \r"
send -- "\r"
expect -ex "- Do you want to enable active response? (y/n) \[y\]: \r"
send -- "\r"
expect -ex "- Do you want to enable the firewall-drop response? (y/n) \[y\]: \r"
send -- "\r"
expect -ex "- Do you want to more IPs to the white list? (y/n)? \[n\]: \r"
send -- "\r"
expect -ex "- Do you want to enable remote syslog (port 514 udp)? (y/n) \[y\]: \r"
send -- "\r"
expect -ex "  --- Press ENTER to continue ---\n\r"
send -- "\r"
expect -ex "  ---  Press ENTER to finish (maybe more information below). ---\n\r"
send -- "\r"
expect eof